Bug 213568

Summary: www/lighttpd: update to 1.4.42
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Individual Port(s)Assignee: Guido Falsi <madpilot>
Status: Closed FIXED    
Severity: Affects Only Me CC: madpilot, pkubaj
Priority: --- Flags: pkubaj: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 213569    
Attachments:
Description Flags
patch
pkubaj: maintainer-approval+
Revised patch
pkubaj: maintainer-approval+
GeoIP revised patch pkubaj: maintainer-approval+

Description Piotr Kubaj freebsd_committer 2016-10-17 14:10:29 UTC
Created attachment 175868 [details]
patch

This patch updates the port to 1.4.42 version. It also converts WEBDAV option to option helpers and removes MYSQLAUTH option (upstream developed its own implementation).

The port builds fine on Poudriere with 10.3, www/lighttpd-mod_h264_streaming port also builds fine. www/lighttpd-mod_geoip is supposed to be removed (I'll request it in another PR).
Comment 1 Guido Falsi freebsd_committer 2016-10-18 16:11:59 UTC
Created attachment 175907 [details]
Revised patch

Hi,

While testing I have made a pair of changes:

- Added USE_CSTD=gnu99 to fix build on 9.x

- Added back MYSQL option, looks like it was removed by mistake together with the MYSQLAUTH option, but the configure script still requires explicit enabling of MYSQL support, can you confirm this and approve?

Thanks!
Comment 2 Piotr Kubaj freebsd_committer 2016-10-18 16:24:43 UTC
(In reply to Guido Falsi from comment #1)
Yes, it seems I made a mistake about MYSQL. It wasn't supposed to be sent :)

The patch looks ok.
Comment 3 Guido Falsi freebsd_committer 2016-10-18 20:23:06 UTC
Created attachment 175913 [details]
GeoIP revised patch

Sorry for delaying this one further but just before performing the commit I noticed that while we are going to remove the geoip module port there is no change in the main port to make it correctly build with geoip support.

in fact I noticed this in the poudriere logs:

checking for GeoIP... no

So I added a GEOIP option which, when enabled, adds the dependency on geoip allowing the port to correctly build support.

lease review this change, to make sure it's ok.

Thanks again!
Comment 4 Piotr Kubaj freebsd_committer 2016-10-20 18:02:40 UTC
(In reply to Guido Falsi from comment #3)
Looks ok, although I wonder why mod_geoip is installed, since --without-geoip is passed correctly, and ./configure uses this parameter...

Looks more like an upstream bug.
Comment 5 Guido Falsi freebsd_committer 2016-10-21 08:47:52 UTC
(In reply to Piotr Kubaj from comment #4)
> (In reply to Guido Falsi from comment #3)
> Looks ok, although I wonder why mod_geoip is installed, since
> --without-geoip is passed correctly, and ./configure uses this parameter...
> 
> Looks more like an upstream bug.

lighttpd always installs all .so files, but puts empty shims in them for the ones which are not supported. You can check this by reading the file src/mod_geoip.c, all the actual code is surrounded by an ifdef and an #else just leaves this if geoip is not to be compiled:

int mod_geoip_plugin_init(plugin *p);
int mod_geoip_plugin_init(plugin *p) {
    UNUSED(p);
    return -1;
}

Going to commit the update shortly.
Comment 6 commit-hook freebsd_committer 2016-10-21 09:01:27 UTC
A commit references this bug:

Author: madpilot
Date: Fri Oct 21 09:01:20 UTC 2016
New revision: 424396
URL: https://svnweb.freebsd.org/changeset/ports/424396

Log:
  - Update lighttpd to 1.4.42 [1]
  - Convert WEBDAV option to option helpers [1]
  - Remove MYSQLAUTH option, upstream integrated their own solution
    in MYSQL support [1]
  - Add GEOIP option to main port [1]
  - Fix sorting in pkg-plist [1]
  - Remove lighttpd-mod_geoip port, it's beeen integrated in the main
    port [2]

  PR:		213568 [1], 213569 [2]
  Sumitted by:	Piotr Kubaj <pkubaj@anongoth.pl> (maintainer)

Changes:
  head/MOVED
  head/www/Makefile
  head/www/lighttpd/Makefile
  head/www/lighttpd/distinfo
  head/www/lighttpd/files/README.mysqlauth
  head/www/lighttpd/files/extra-patch-src_Makefile.am
  head/www/lighttpd/files/extra-patch-src_Makefile.in
  head/www/lighttpd/files/extra-patch-src_http__auth.c
  head/www/lighttpd/files/extra-patch-src_http__auth.h
  head/www/lighttpd/files/extra-patch-src_mod__auth.c
  head/www/lighttpd/files/mysql_auth.sql
  head/www/lighttpd/files/patch-src_mod__fastcgi.c
  head/www/lighttpd/files/patch-src_mod__proxy.c
  head/www/lighttpd/files/patch-src_mod__scgi.c
  head/www/lighttpd/pkg-plist
  head/www/lighttpd-mod_geoip/
Comment 7 Guido Falsi freebsd_committer 2016-10-21 09:04:37 UTC
Committed! Thanks.
Comment 8 commit-hook freebsd_committer 2016-10-31 20:07:42 UTC
A commit references this bug:

Author: madpilot
Date: Mon Oct 31 20:07:35 UTC 2016
New revision: 425022
URL: https://svnweb.freebsd.org/changeset/ports/425022

Log:
  MFH: r424396 r425017

  - Update lighttpd to 1.4.42 [1]
  - Convert WEBDAV option to option helpers [1]
  - Remove MYSQLAUTH option, upstream integrated their own solution
    in MYSQL support [1]
  - Add GEOIP option to main port [1]
  - Fix sorting in pkg-plist [1]
  - Remove lighttpd-mod_geoip port, it's beeen integrated in the main
    port [2]

  PR:		213568 [1], 213569 [2]
  Sumitted by:	Piotr Kubaj <pkubaj@anongoth.pl> (maintainer)

  Fix this port at runtime on 9.3.

  PR:		213848
  Submitted by:	cedric@precidata.com
  Approved by:	pkubaj@anongoth.pl (maintainer)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/MOVED
  branches/2016Q4/www/Makefile
  branches/2016Q4/www/lighttpd/Makefile
  branches/2016Q4/www/lighttpd/distinfo
  branches/2016Q4/www/lighttpd/files/README.mysqlauth
  branches/2016Q4/www/lighttpd/files/extra-patch-src_Makefile.am
  branches/2016Q4/www/lighttpd/files/extra-patch-src_Makefile.in
  branches/2016Q4/www/lighttpd/files/extra-patch-src_http__auth.c
  branches/2016Q4/www/lighttpd/files/extra-patch-src_http__auth.h
  branches/2016Q4/www/lighttpd/files/extra-patch-src_mod__auth.c
  branches/2016Q4/www/lighttpd/files/mysql_auth.sql
  branches/2016Q4/www/lighttpd/files/patch-src_mod__cgi.c
  branches/2016Q4/www/lighttpd/files/patch-src_mod__fastcgi.c
  branches/2016Q4/www/lighttpd/files/patch-src_mod__proxy.c
  branches/2016Q4/www/lighttpd/files/patch-src_mod__scgi.c
  branches/2016Q4/www/lighttpd/pkg-plist
  branches/2016Q4/www/lighttpd-mod_geoip/